module command.remoteundostatusmacro.hottuboncommand;

import command.remoteundostatusmacro.command;
import command.remoteundostatusmacro.hottub;

class HottubOnCommand : Command
{
    Hottub hottub;

    this(Hottub hottub)
    {
        this.hottub = hottub;
    }

    void execute()
    {
        hottub.on();
        hottub.setTemperature(104);
        hottub.circulate();
    }

    void undo()
    {
        hottub.off();
    }
}
